changeset 5219:ceb6f242fb81

Test git repository conversion
author Patrick Mezard <pmezard@gmail.com>
date Sun, 26 Aug 2007 15:07:13 +0200
parents 4fa0f2dff643
children 9d7052f17d77 7d3dcdd92a1a
files tests/test-convert-git tests/test-convert-git.out
diffstat 2 files changed, 27 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-convert-git	Sun Aug 26 15:07:13 2007 +0200
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+"$TESTDIR/hghave" git || exit 80
+
+echo "[extensions]" >> $HGRCPATH
+echo "convert=" >> $HGRCPATH
+
+mkdir git-repo
+cd git-repo
+git init
+echo a > a
+git add a
+git commit -m t1 > /dev/null || echo "git commit error"
+echo b >> a
+git commit -a -m t2 > /dev/null || echo "git commit error"
+cd ..
+
+hg convert git-repo
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-convert-git.out	Sun Aug 26 15:07:13 2007 +0200
@@ -0,0 +1,8 @@
+Initialized empty Git repository in .git/
+assuming destination git-repo-hg
+initializing destination git-repo-hg repository
+scanning source...
+sorting...
+converting...
+1 t1
+0 t2